WebM Codec SDK

Data Fields
vpx_svc_parameters Struct Reference
Common Algorithm Interface » Encoder Algorithm Interface

vp9 svc extra configure parameters More...

`#include <vpx_encoder.h>`

## Data Fields
int | max_quantizers [12]
int | min_quantizers [12]
int | scaling_factor_num [12]
int | scaling_factor_den [12]
int | speed_per_layer [12]
int | temporal_layering_mode
int | loopfilter_ctrl [12]

## Detailed Description

vp9 svc extra configure parameters

This defines max/min quantizers and scale factors for each layer

## Field Documentation

## ◆ max_quantizers

int vpx_svc_parameters::max_quantizers[12]

Max Q for each layer

## ◆ min_quantizers

int vpx_svc_parameters::min_quantizers[12]

Min Q for each layer

## ◆ scaling_factor_num

int vpx_svc_parameters::scaling_factor_num[12]

Scaling factor-numerator

## ◆ scaling_factor_den

int vpx_svc_parameters::scaling_factor_den[12]

Scaling factor-denominator

## ◆ speed_per_layer

int vpx_svc_parameters::speed_per_layer[12]

Speed setting for each sl

## ◆ temporal_layering_mode

int vpx_svc_parameters::temporal_layering_mode

Temporal layering mode

## ◆ loopfilter_ctrl

int vpx_svc_parameters::loopfilter_ctrl[12]

Loopfilter ctrl for each sl

The documentation for this struct was generated from the following file:

- vpx/vpx_encoder.h